"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var Config = {
    jsxRuntime: 'automatic',
    jsxImportSource: '@emotion/react',
    plugins: [
        "gatsby-plugin-image",
        "gatsby-plugin-sharp",
        "gatsby-transformer-sharp",
        "gatsby-source-jaen",
        {
            resolve: "gatsby-plugin-sitemap",
            options: {
                excludes: [
                    '/cms',
                    '/cms/*',
                    '/login',
                    '/logout',
                    '/password_reset',
                    '/settings',
                    '/signup'
                ],
                query: "\n        {\n          jaenSite {\n            id\n            siteMetadata {\n              siteUrl\n            }\n          }\n          allSitePage {\n            nodes {\n              path\n            }\n          }\n        }",
                resolveSiteUrl: function (data) {
                    var _a, _b;
                    console.log('RESOLVE SITE URL', data);
                    return ((_b = (_a = data.jaenSite) === null || _a === void 0 ? void 0 : _a.siteMetadata) === null || _b === void 0 ? void 0 : _b.siteUrl) || 'https://page.jaen.io';
                },
                resolvePages: function (data) {
                    return data.allSitePage.nodes.map(function (page) {
                        return __assign({}, page);
                    });
                },
                serialize: function (_a) {
                    var path = _a.path, modifiedGmt = _a.modifiedGmt;
                    return {
                        url: path,
                        lastmod: modifiedGmt
                    };
                }
            }
        },
        {
            resolve: "gatsby-plugin-manifest",
            options: {
                name: "Jaen App",
                short_name: "Jaen",
                start_url: "/",
                background_color: "#f7f0eb",
                theme_color: "#a2466c",
                display: "standalone",
                icon: "src/favicon.ico"
            }
        }
    ]
};
exports.default = Config;
